:root {
    --purple: #9c75f4;
    --dark-gray: #141414;
    --light-gray: #a5a6a6;
    --motion: all ease-in-out 300ms;
  }
  
  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  body {
    font-family: "Fira Sans", sans-serif;
  }
  
  header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 50px;
  }
  
  header h1 {
    font-family: "Libre Baskerville", serif;
    color: var(--purple);
  }
  
  .search-container {
    display: flex;
    align-items: center;
  }
  
  .search-container input {
    height: 40px;
    width: 300px;
    border-radius: 100px;
    padding: 0 15px;
    border: 1px solid var(--light-gray);
    font-size: 1rem;
  }
  
  .search-container button {
    height: 40px;
    border: none;
    padding: 10px 25px;
    font-size: 1rem;
    border-radius: 100px;
    margin-left: 15px;
    background-color: var(--purple);
  
    color: white;
    font-weight: 600;
    line-height: 0;
    cursor: pointer;
    transition: var(--motion);
  }
  
  .search-container button:hover {
    background: #824ff8;
    color: var(--dark-gray);
  }
  
  /* artist card  */
  
  .artist-card-container {
    margin: 50px 0;
    display: grid;
    gap: 40px 0;
    grid-template-columns: repeat(4, 1fr);
  }
  
  .artist-card {
    background-color: var(--light-gray);
    width: 300px;
    height: 450px;
    border-radius: 12px;
    transition: var(--motion);
    position: relative;
    justify-self: center;
  }
  
  .image-container {
    background-image: url(https://images.unsplash.com/photo-1507838153414-b4b713384a76?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=870&q=80);
    background-size: cover;
    width: 100%;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    transition: var(--motion);
    border-radius: 12px 12px 0 0;
  }
  
  .image-container-inner {
    border-radius: 12px 12px 0 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
    transition: var(--motion);
  }
  
  .image-container-inner img {
    width: 100%;
    object-fit: cover;
  }
  
  .artist-card:hover .image-container-inner {
    height: 180px;
    width: 180px;
    border-radius: 50%;
    border: 5px solid var(--purple);
  }
  
  .artist-card:hover .image-container {
    height: 250px;
    padding: 100px 0;
  }
  
  .artist-card:hover {
    background-color: var(--purple);
  }
  
  .info-container {
    padding: 10px;
    transition: var(--motion);
  }
  
  .artist-card:hover .info-container {
    color: white;
  }
  
  .info-container p {
    margin-top: 15px;
  }
  
  .button-title {
    margin-left: 10px;
    opacity: 0;
    transition: var(--motion);
  }
  
  .album-button {
    width: 40px;
    height: 40px;
    border-radius: 100px;
    position: absolute;
    bottom: 10px;
    right: 10px;
    border: 1px solid var(--dark-gray);
    background-color: var(--purple);
    transition: var(--motion);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    z-index: 999;
  }
  .artist-card:hover .album-button {
    width: calc(100% - 20px);
    border: 1px solid white;
  }
  .album-button p {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .artist-card:hover .button-title {
    opacity: 1;
    color: white;
  }
  
  .album-button i {
    font-size: 1.2rem;
    color: var(--dark-gray);
    transition: var(--motion);
    position: absolute;
  }
  
  .artist-card:hover .album-button i {
    display: none;
  }
  
  /* album  */
  
  .albums-container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 40px 0;
  }
  
  .album {
    background-color: var(--purple);
    height: 100%;
    width: 230px;
    justify-self: center;
  }
  
  .album-image-container {
    height: 200px;
    width: 230px;
    overflow: hidden;
  }
  
  .album-image-container img {
    width: 100%;
    object-fit: cover;
  }
  
  .album-name {
    text-align: center;
    padding: 10px;
    color: var(--dark-gray);
  }